Skip to main content
GET
/
api
/
v1
/
families
/
List families
curl --request GET \
  --url https://api.kynva.ai/api/v1/families/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kynva.ai/api/v1/families/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kynva.ai/api/v1/families/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "description": "<string>",
      "aesthetic": "<string>",
      "platform": "<string>",
      "memberCount": 123,
      "isActive": true
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Query Parameters

type
string

Filter by family type (carousel, variant, format, size)

platform
string

Filter by platform (instagram, tiktok, linkedin, etc.)

aesthetic
string

Filter by aesthetic (bold, minimal, dark, etc.)

isActive
boolean
default:true
limit
number
default:50
Required range: x <= 100
offset
number
default:0

Response

200 - application/json

List of template families

List of template families

success
boolean
data
object[]
pagination
object